Bug 1024168 - Review Request: rubygem-opengl - An OpenGL wrapper for Ruby
Review Request: rubygem-opengl - An OpenGL wrapper for Ruby
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ken Dreyer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-28 23:46 EDT by Mamoru TASAKA
Modified: 2013-11-12 03:36 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-12 03:36:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ktdreyer: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mamoru TASAKA 2013-10-28 23:46:19 EDT
Spec URL: http://mtasaka.fedorapeople.org/Review_request/rubygem-opengl/rubygem-opengl.spec
SRPM URL: http://mtasaka.fedorapeople.org/Review_request/rubygem-opengl/rubygem-opengl-0.8.0-1.fc.src.rpm
Description: 
An OpenGL wrapper for Ruby. ruby-opengl contains bindings for OpenGL and the
GLU and GLUT libraries.

Fedora Account System Username: mtasaka

Koji scratch build:
F-21: http://koji.fedoraproject.org/koji/taskinfo?taskID=6110037
F-20: http://koji.fedoraproject.org/koji/taskinfo?taskID=6110039
F=19: http://koji.fedoraproject.org/koji/taskinfo?taskID=6110038
Comment 1 Ken Dreyer 2013-10-29 00:07:54 EDT
I can take this review.
Comment 2 Ken Dreyer 2013-10-29 17:02:25 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- The comment "# example/NeHe: KILLED (license unclear)" should read
  "examples/NeHe" with an "s".

- examples/misc/OGLBench.rb and examples/misc/trislam.rb are licensed "GPL+ or
  Artistic". I think the -doc subpackage License should be "MIT and BSD and
  (GPL+ or Artistic)". We would also need to include a copy of the GPL+ license
  in the RPM. Eg. http://www.gnu.org/licenses/old-licenses/gpl-1.0.txt

- Do we need to ship Manifest.txt? I'm thinking we could exclude it,
  particularly from the main RPM.

- It's not immediately obvious why we need to use create-clean-opengl-gem.sh to
  regenerate the gem. Would you mind adding a sentence to the top of this
  script?  "We need to regenerate the gem in order to remove files with unclear
  licenses." or something like that.

- Please add %{_isa} to the -doc package requirements.
  Requires: %{name}%{?_isa} = %{version}-%{release}

- Please remove the trailing whitespace after Requires: ruby(rubygems)

===== MUST items =====

C/C++:
[-]: Development (unversioned) .so files in -devel subpackage, if present.
     No -devel package present or needed.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: See "Issues" above.
[!]: License file installed when any subpackage combination is installed.
     GPL license text is missing from the -doc package.
[x]: Package must own all directories that it creates.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Ruby:
[ ]: Platform dependent files must all go under %{gem_extdir_mri}, platform
     independent under %{gem_dir}.
[x]: Gem package must not define a non-gem subpackage
[x]: Macro %{gem_extdir} is deprecated.
[x]: Gem package is named rubygem-%{gem_name}
[x]: Package contains BuildRequires: rubygems-devel.
[x]: Gem package must define %{gem_name} macro.
[x]: Package does not contain Requires: ruby(abi).

===== SHOULD items =====

Generic:
[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
     GPL and Artistic licenses are missing.
[x]: Final provides and requires are sane (see attachments).
[!]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in rubygem-
     opengl-doc
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
     N/A: tests require Xorg.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Ruby:
[x]: Specfile should use macros from rubygem-devel package.
[x]: Gem package should exclude cached Gem.
[x]: Gem should use %gem_install macro.
[x]: Test suite of the library should be run.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: rubygem-opengl-0.8.0-1.fc19.i686.rpm
          rubygem-opengl-doc-0.8.0-1.fc19.noarch.rpm
          rubygem-opengl-0.8.0-1.fc19.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint rubygem-opengl-doc rubygem-opengl
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
rubygem-opengl-doc (rpmlib, GLIBC filtered):
    rubygem-opengl

rubygem-opengl (rpmlib, GLIBC filtered):
    libGL.so.1
    libGLU.so.1
    libc.so.6
    libcrypt.so.1
    libdl.so.2
    libglut.so.3
    libm.so.6
    libpthread.so.0
    librt.so.1
    libruby.so.2.0
    rtld(GNU_HASH)
    ruby
    ruby(rubygems)



Provides
--------
rubygem-opengl-doc:
    rubygem-opengl-doc

rubygem-opengl:
    opengl.so
    rubygem(opengl)
    rubygem-opengl
    rubygem-opengl(x86-32)



Unversioned so-files
--------------------
rubygem-opengl: /usr/lib/gems/ruby/opengl-0.8.0/lib/opengl/opengl.so

Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -b 1024168
Buildroot used: fedora-19-i386
Active plugins: Generic, Ruby, Shell-api
Disabled plugins: Java, C/C++, Python, SugarActivity, Perl, R, PHP
Disabled flags: EPEL5, EXARCH, DISTTAG
Comment 3 Mamoru TASAKA 2013-10-30 20:38:02 EDT
Thank you for comments:

http://mtasaka.fedorapeople.org/Review_request/rubygem-opengl/rubygem-opengl-0.8.0-2.fc.src.rpm
http://mtasaka.fedorapeople.org/Review_request/rubygem-opengl/rubygem-opengl.spec

* Wed Oct 30 2013 Mamoru TASAKA <mtasaka@fedoraproject.org> - 0.8.0-2
- Misc fixes with review (bug 1024168)

(In reply to Ken Dreyer from comment #2)
> Package Review

> - The comment "# example/NeHe: KILLED (license unclear)" should read
>   "examples/NeHe" with an "s".

- Modified.

> - examples/misc/OGLBench.rb and examples/misc/trislam.rb are licensed "GPL+
> or
>   Artistic". I think the -doc subpackage License should be "MIT and BSD and
>   (GPL+ or Artistic)".

- Personally I won't want to write "Artistic" because Artistic is
  non-free and with "GPL+ or Artistic", the valid license on Fedora is
  only GPL+. Anyway modified.

- We would also need to include a copy of the GPL+
> license
>   in the RPM. Eg. http://www.gnu.org/licenses/old-licenses/gpl-1.0.txt

- Included.

> - Do we need to ship Manifest.txt? I'm thinking we could exclude it,
>   particularly from the main RPM.

- Removed.

> - It's not immediately obvious why we need to use create-clean-opengl-gem.sh
> to
>   regenerate the gem. Would you mind adding a sentence to the top of this
>   script?  "We need to regenerate the gem in order to remove files with
> unclear
>   licenses." or something like that.

- Some comments added on both the spec and the script.


> - Please add %{_isa} to the -doc package requirements.
>   Requires: %{name}%{?_isa} = %{version}-%{release}

- This must not be done because -doc subpackage is noarch (%_isa
  adds arch-dependent dependency)

> - Please remove the trailing whitespace after Requires: ruby(rubygems)
- Removed.
Comment 4 Ken Dreyer 2013-10-30 20:46:18 EDT
(In reply to Mamoru TASAKA from comment #3)

> > - Please add %{_isa} to the -doc package requirements.
> >   Requires: %{name}%{?_isa} = %{version}-%{release}
> 
> - This must not be done because -doc subpackage is noarch (%_isa
>   adds arch-dependent dependency)

You're quite right - my bad. I'll try to remember that in the future.

The other changes look good, so, package approved!
Comment 5 Mamoru TASAKA 2013-10-30 21:09:57 EDT
Thank you!

New Package SCM Request
=======================
Package Name: rubygem-opengl
Short Description: An OpenGL wrapper for Ruby
Owners: mtasaka
Branches: f19 f20
Comment 6 Gwyn Ciesla 2013-10-31 08:21:22 EDT
Git done (by process-git-requests).
Comment 7 Mamoru TASAKA 2013-11-12 03:36:40 EST
Rebuilt on all branches, push requested on F-20 and F-19, closing.

Thank you for review and git procedure.

Note You need to log in before you can comment on or make changes to this bug.